package cn.bunny.service.controller;

import cn.bunny.entity.order.Order;
import cn.bunny.pojo.result.Result;
import cn.bunny.service.service.OrderService;
import cn.bunny.vo.page.PageResult;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * <p>
 * 前端控制器
 * </p>
 *
 * @author order
 * @since 2024-07-29
 */
@Tag(name = "订单表")
@RestController
@RequestMapping("/api/order")
public class OrderController {
    @Autowired
    private OrderService orderService;

    @Operation(summary = "分页查询订单", description = "分页查询订单")
    @GetMapping("queryPage/{page}/{limit}")
    public Result<PageResult<Order>> queryPage(@PathVariable Integer limit, @PathVariable Integer page) {
        Page<Order> pageParams = new Page<>(page, limit);
        PageResult<Order> vo = orderService.queryPage(pageParams);
        return Result.success(vo);
    }
}
